Prosíme přihlašte se nebo zaregistrujte.

Přihlašte se svým uživatelským jménem a heslem.
Vaše pomoc je stále potřeba!

Novinky: Školení nejen k OS Ubuntu pro širokou veřejnost, více informací zde.

Autor Téma: Nefunkcni spoustec na Ubuntu-mate 16.04  (Přečteno 420 krát)

miro_

  • Návštěvník
  • *
  • Příspěvků: 86
  • Karma: +2/-0
    • Zobrazit profil
Nefunkcni spoustec na Ubuntu-mate 16.04
« kdy: 27 Březen 2018, 17:48:13 »
Resim terminal aplikace pro zobrazovani sberu dat z domaciho ridiciho systemu na RaspebbryPi3.
Pro generovani casovych pubehu z dat do grafu uzivam 'gnuplot'. Na std. PC U16.04 mi vse chodi
ale na RaspebbryPi3 na U-mate16.04 jsem se zasekl na problemu se spustenim 'gnuplot' spoustecem.
Pro spousteni 'gnuplot' mam textovy soubor s obsahem, ktery preda pri zavolani data grafu :
  'gnuplot -c gnuplot_graph.txt',
ktery spoustim soustecem z plochy pro vygenerovani grafu.
Stejne vytvoreny spoustec na U-mate16.04 na Pi3 ale oznami chybu aplikace a nic neudela.
Pritom kdyz totez spustim na Pi3 z primo z prikazove radky terminalu,
tak mi to grafy vykresli OK, ale s nasledujicim echem:

$ gnuplot -c gnuplot_graph.dem
libEGL warning: DRI2: failed to authenticate
CR to continue


Dle 'Synaptic' na Pi3 je instalovana  'libegl1'.

Predpokladam ze, hlavni problem bude v tom warning. Zkousel jsem hledat a zkousel ruzne dle webu ale neuspel jsem.
Dle webu to vypada na specificky problem Pi2 a Pi3.

Poradi mi nekdo co s tim ?